function dYfuncvecdz = ODEfun(z,Yfuncvec); 
X= Yfuncvec;
% Explicit equations
Ka = 0.05; 
Kb = .15; 
Pao = 12; 
eps = 1; 
A = 7.6; 
R = 0.082; 
T = 400+273; 
rho = 80; 
kprime = 0.0014; 
D = 1.5; 
Uo = 2.5; 
Kc = 0.1; 
U = Uo*(1+eps*X); 
Pa = Pao*(1-X)/(1+eps*X); 
Pb = Pao*X/(1+eps*X); 
vo = Uo*3.1416*D*D/4; 
Cao = Pao/R/T; 
Kca = Ka*R*T; 
Pc = Pb; 
a = 1/(1+A*(z/U)^0.5); 
raprime = a*(-kprime*Pa/(1+Ka*Pa+Kb*Pb+Kc*Pc)); 
ra = rho*raprime; 
% Differential equations
dXdz = -ra/U/Cao;
dYfuncvecdz=dXdz;


